Package it.ernytech.tdlib

## Class TdApi.TMeUrls

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.TMeUrls

Enclosing class:
  TdApi

    public static class TdApi.TMeUrls
    extends TdApi.Object

Contains a list of t.me URLs.

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`TdApi.TMeUrl[]` `urls` List of URLs.

### Constructor Summary

Constructors
`TMeUrls()` Default constructor.
`TMeUrls​(TdApi.TMeUrl[] urls)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`toString`

### Field Detail

#### urls

    public TdApi.TMeUrl[] urls

List of URLs.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### TMeUrls

    public TMeUrls()

Default constructor.

#### TMeUrls

    public TMeUrls​(TdApi.TMeUrl[] urls)

Constructor for initialization of all fields.

Parameters:
  `urls` - List of URLs.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR